Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.testing
Class RawPastRegrTest.TestRouteMessage

    java.lang.Object
      rice.p2p.past.testing.RawPastRegrTest.TestRouteMessage

All Implemented Interfaces:
  java.io.Serializable, RouteMessage

Enclosing class:
  RawPastRegrTest

    protected static class RawPastRegrTest.TestRouteMessage

extends java.lang.Object
implements RouteMessage

Utility class which simulates a route message

See Also:
  Serialized Form

Constructor Summary
`RawPastRegrTest.TestRouteMessage(Id id, NodeHandle nextHop, Message message)`

Method Summary
`Id` | `getDestinationId()` Returns the destination Id for this message
`Message` | `getMessage()` Deprecated.
`Message` | `getMessage(MessageDeserializer md)`
`NodeHandle` | `getNextHopHandle()` Returns the next hop handle for this message
`void` | `setDestinationId(Id id)` Sets the destination Id for this message
`void` | `setMessage(Message message)` Sets the internal message for this message
`void` | `setMessage(RawMessage message)` Sets the internal message for this message Does the same as setMessage(Message) but with better performance, because it doesn't have to introspect if the message is a RawMessage
`void` | `setNextHopHandle(NodeHandle nextHop)` Sets the next hop handle for this message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RawPastRegrTest.TestRouteMessage

    public RawPastRegrTest.TestRouteMessage(Id id,
                                            NodeHandle nextHop,
                                            Message message)

Method Detail

### getDestinationId

    public Id getDestinationId()

  Description copied from interface: `RouteMessage`
  Returns the destination Id for this message

  Specified by:
    `getDestinationId` in interface `RouteMessage`
  Returns:
    The destination Id

### getNextHopHandle

    public NodeHandle getNextHopHandle()

  Description copied from interface: `RouteMessage`
  Returns the next hop handle for this message

  Specified by:
    `getNextHopHandle` in interface `RouteMessage`
  Returns:
    The next hop

### getMessage

    public Message getMessage()

  Deprecated.

  Description copied from interface: `RouteMessage`
  Returns the enclosed message inside of this message

  Specified by:
    `getMessage` in interface `RouteMessage`
  Returns:
    The enclosed message

### getMessage

    public Message getMessage(MessageDeserializer md)

  Specified by:
    `getMessage` in interface `RouteMessage`

### setDestinationId

    public void setDestinationId(Id id)

  Description copied from interface: `RouteMessage`
  Sets the destination Id for this message

  Specified by:
    `setDestinationId` in interface `RouteMessage`
  Parameters:
    `id` - The destination Id

### setNextHopHandle

    public void setNextHopHandle(NodeHandle nextHop)

  Description copied from interface: `RouteMessage`
  Sets the next hop handle for this message

  Specified by:
    `setNextHopHandle` in interface `RouteMessage`
  Parameters:
    `nextHop` - The next hop for this handle

### setMessage

    public void setMessage(Message message)

  Description copied from interface: `RouteMessage`
  Sets the internal message for this message

  Specified by:
    `setMessage` in interface `RouteMessage`
  Parameters:
    `message` - The internal message

### setMessage

    public void setMessage(RawMessage message)

  Description copied from interface: `RouteMessage`
  Sets the internal message for this message Does the same as setMessage(Message) but with better performance, because it doesn't have to introspect if the message is a RawMessage

  Specified by:
    `setMessage` in interface `RouteMessage`
  Parameters:
    `message` - The internal message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.